<?
 $chat2=@file("../local/datachat/$id_room.chat");
 $chat2_k=count($chat2);
 $time=time();
 $mv_ok='0';
 ///////// последний пост шутника ////////////////
 for ($i=0;$i<$chat2_k;$i++){
 	$post2=explode(":||:",$chat2[$i]);
 	if ($post2[4]=='5'){
 		$post=$post2;
 		$post_m=$i;
 		$mv_ok='1';  // пост найден
 		$lastpost=$post;
 		}
 	}
 	$vr8='90'; // промежуток, через который показывается беспредельный вопрос
 	///////////////////////////////////////////////////////
 	$time2=$time+$vr8;
 	if ($mv_ok=='0'||$post[5]<$time) // задается вопрос
 	{
 		$matvopr=file("matvopr.dat");
 		$matvopr_k=count($matvopr);
 		$rand_vopr=rand(0,$matvopr_k-1);
 		$vopr=$matvopr[$rand_vopr];
 		$vopr=str_replace("[nick]","$log",$vopr);
 		$vopr=base64_encode($vopr);
 		$date=base64_encode(date("(G:i)"));
 		$fm=fopen("../local/datachat/$id_room.chat","a");
 		flock($fm,LOCK_EX);
 		fputs($fm,"МоZг0еД:||:$date:||:$vopr:||::||:5:||:$time2:||::||::||::||::||::||:\r\n");
 		fflush($fm);
 		flock($fm,LOCK_UN);
 		fclose($fm);
 		chmod ("../local/datachat/$id_room.chat", 0666);
 		}


?>
